%define shortname	statgrab
%define major		6
%define libname		%mklibname %{shortname} %{major}
%define libnamedevel	%mklibname %{shortname} -d

Name:		libstatgrab
Version:	0.17
Release:	%mkrel 7
Summary:	Make system statistics
License:	LGPLv2+ and GPLv2+
Group:		Monitoring
URL:		http://www.i-scream.org/libstatgrab/
Source0:	ftp://ftp.uk.i-scream.org/pub/i-scream/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}.nochmod.patch
BuildRequires:	ncurses-devel


%description
Libstatgrab is a library that provides cross platform access to statistics
about the system on which it's run. It's written in C and presents a selection
of useful interfaces which can be used to access key system statistics. The
current list of statistics includes CPU usage, memory utilisation, disk usage,
process counts, network traffic, disk I/O, and more.

The current list of platforms is Solaris 2.x, Linux, and FreeBSD 4.x/5.x.
The aim is to extend this to include as many operating systems as possible.

The package also includes a couple of useful tools. The first, saidar,
provides a curses-based interface to viewing the current state of the
system. The second, statgrab, gives a sysctl-style interface to the
statistics gathered by libstatgrab. This extends the use of libstatgrab
to people writing scripts or anything else that can't easily make C
function calls. Included with statgrab is a script to generate an MRTG
configuration file to use statgrab.

%package -n	%{shortname}-tools
Summary:	Tools from %{name} to monitoring the system
Group:		Monitoring
License:	GPLv2+

%description -n %{shortname}-tools
Libstatgrab is a library that provides cross platform access to statistics
about the system on which it's run. It's written in C and presents a selection
of useful interfaces which can be used to access key system statistics. The
current list of statistics includes CPU usage, memory utilisation, disk usage,
process counts, network traffic, disk I/O, and more.

The current list of platforms is Solaris 2.x, Linux , and FreeBSD 4.x/5.x.
The aim is to extend this to include as many operating systems as possible.

The package also includes a couple of useful tools. The first, saidar,
provides a curses-based interface to viewing the current state of the
system. The second, statgrab, gives a sysctl-style interface to the
statistics gathered by libstatgrab. This extends the use of libstatgrab
to people writing scripts or anything else that can't easily make C
function calls. Included with statgrab is a script to generate an MRTG
configuration file to use statgrab.

%package -n	%{libname}
Summary:	The %{name} libraries
Group:		System/Libraries
License:	LGPLv2+
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{libnamedevel}
Summary:	The development files from %{name} libraries
Group:		Development/Other
License:	LGPLv2+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{libnamedevel}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q
%autopatch -p0

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{shortname}-tools
%doc AUTHORS INSTALL README ChangeLog NEWS
%{_bindir}/saidar
%{_bindir}/%{shortname}*
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n %{libname}
%doc AUTHORS INSTALL README ChangeLog NEWS
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{libnamedevel}
%doc AUTHORS INSTALL README ChangeLog NEWS
%{_libdir}/%{name}.so
%{_includedir}/*
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Feb 03 2016 umeabot <umeabot> 0.17-7.mga6
+ Revision: 933573
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.17-6.mga5
+ Revision: 750268
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 luigiwalser <luigiwalser> 0.17-5.mga5
+ Revision: 701372
- add missing BR ncurses-devel

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.17-3.mga4
+ Revision: 507336
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.17-2.mga3
+ Revision: 358216
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 fwang <fwang> 0.17-1.mga3
+ Revision: 305309
- drop .la file

* Sat Jan 15 2011 anssi <anssi> 0.17-1.mga1
+ Revision: 19732
- imported package libstatgrab


* Mon Aug 02 2010 Jani Välimaa <wally@mandriva.org> 0.17-1mdv2011.0
+ Revision: 565024
- new version 0.17
- fix license
- remove '%%if %%mdkversion < 200900' parts
- minor .spec cleanup

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.16-2mdv2009.0
+ Revision: 268013
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Thauvin <nanardon@mandriva.org>
    - 0.16

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.15-1mdv2008.1
+ Revision: 136570
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 05 2007 Olivier Thauvin <nanardon@mandriva.org> 0.15-1mdv2008.0
+ Revision: 80436
- 0.15


* Mon Mar 05 2007 Olivier Thauvin <nanardon@mandriva.org> 0.14-1mdv2007.0
+ Revision: 132883
- major change
- 0.14
- Import libstatgrab

* Mon Jun 19 2006 Emmanuel Andry <eandry@mandriva.org> 0.13-1mdv2007.0
- 0.13

* Mon Oct 17 2005 Olivier Thauvin <nanardon@mandriva.org> 0.12-1mdk
- 0.12

* Thu Mar 03 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.11.1-1mdk
- 0.11.1

* Fri Feb 04 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.11-1mdk
- 0.11

